(function HYPE_DocumentLoader() {
	var resourcesFolderName = "controls.hyperesources";
	var documentName = "controls";
	var documentLoaderFilename = "controls_hype_generated_script.js";
	var mainContainerID = "controls_hype_container";
	var hasPhysics = false;

	// find the URL for this script's absolute path and set as the resourceFolderName
	if(false == false) {
		try {
			var scripts = document.getElementsByTagName('script');
			for(var i = 0; i < scripts.length; i++) {
				var scriptSrc = scripts[i].src;
				var documentLoaderFilenameIndex = (scriptSrc != null) ? scriptSrc.indexOf(documentLoaderFilename) : -1;
				if(documentLoaderFilenameIndex != -1) {
					resourcesFolderName = scriptSrc.substr(0, documentLoaderFilenameIndex - 1);
					break;
				}
			}
		} catch(err) {	}
	}

	var loadScriptIfNecessary = function(windowObjectVariableName, documentsToLoadKey, scriptName) {
		var waitForResourcesToLoad = false;
		if (window[windowObjectVariableName] == null) {
			if (window[documentsToLoadKey] == null) {
				window[documentsToLoadKey] = Array();
				window[documentsToLoadKey].push(HYPE_DocumentLoader);

				var headElement = document.getElementsByTagName('head')[0];
				var scriptElement = document.createElement('script');
				var scriptContainingPath = resourcesFolderName;
				if(false == true) {
					scriptContainingPath = "";
				}
				scriptElement.type = 'text/javascript';
				scriptElement.src = (scriptContainingPath + '/' + scriptName);
				headElement.appendChild(scriptElement);
			} else {
				window[documentsToLoadKey].push(HYPE_DocumentLoader);
			}
			waitForResourcesToLoad = true;
		}
		return waitForResourcesToLoad;
	}

	if(false == false) {
		var browserMatches = navigator.userAgent.match(/MSIE (\d+\.\d+)/);
		var ieVersion = (parseFloat(browserMatches && browserMatches[1]) || null);
		var useExtendedRuntime = ((ieVersion != null && ieVersion < 10) || hasPhysics == true);

		var waitForResourcesToLoad = loadScriptIfNecessary('HYPE_577', 'HYPE_dtl_577', (useExtendedRuntime == true ? "HYPE-577.full.js" : "HYPE-577.thin.js"));
		if (false == true) {
			waitForResourcesToLoad = waitForResourcesToLoad || loadScriptIfNecessary('HYPE_w_577', 'HYPE_wdtl_577', 'HYPE-577.waypoints.js');
		}

		if (waitForResourcesToLoad) {
			return;
		}
	}
	
	var globalHypeDocuments = window['HYPE']['documents'];
	
	// handle attempting to load multiple times
	if(globalHypeDocuments[documentName] != null) {
		var index = 1;
		var originalDocumentName = documentName;
		do {
			documentName = "" + originalDocumentName + "-" + (index++);
		} while(globalHypeDocuments[documentName] != null);
		
		var allDivs = document.getElementsByTagName("div");
		var foundEligibleContainer = false;
		for(var i = 0; i < allDivs.length; i++) {
			if(allDivs[i].id == mainContainerID && allDivs[i].getAttribute("HYP_dn") == null) {
				var index = 1;
				var originalMainContainerID = mainContainerID;
				do {
					mainContainerID = "" + originalMainContainerID + "-" + (index++);
				} while(document.getElementById(mainContainerID) != null);
				
				allDivs[i].id = mainContainerID;
				foundEligibleContainer = true;
				break;
			}
		}
		
		if(foundEligibleContainer == false) {
			return;
		}
	}

	var resources = {"-1":{n:"PIE.htc"},"-2":{n:"blank.gif"}};

	var headAdditions = [];

	var sceneContainers = [{n:"Untitled Scene",o:"1",X:[0]}]
 
	var scenes = [{o:"3",p:"600px",cA:false,Y:600,Z:400,L:[],c:"#FFFFFF",bY:1,d:600,U:{},T:{kTimelineDefaultIdentifier:{i:"kTimelineDefaultIdentifier",n:"Main Timeline",z:0,b:[],a:[],f:30}},bZ:180,O:["10","12","11"],n:"Untitled Layout","_":0,v:{"12":{b:349,z:2,K:"Solid",c:182,L:"Solid",d:15,aS:6,M:1,bD:"none",N:1,aT:6,dB:"button",O:1,g:"#F0F0F0",aU:6,P:1,aV:6,j:"absolute",k:"div",aI:4,aJ:4,aK:4,aL:4,A:"#A0A0A0",B:"#A0A0A0",Z:"break-word",r:"inline",C:"#A0A0A0",D:"#A0A0A0",t:13,aA:{a:[{p:4,h:"8"}]},F:"center",G:"#000000",aP:"pointer",w:"continue timeline",x:"visible",I:"Solid",a:54,y:"preserve",J:"Solid"},"11":{b:349,z:1,K:"Solid",c:182,L:"Solid",d:15,aS:6,M:1,bD:"none",N:1,aT:6,dB:"button",O:1,g:"#F0F0F0",aU:6,P:1,aV:6,j:"absolute",k:"div",aI:4,aJ:4,aK:4,aL:4,A:"#A0A0A0",B:"#A0A0A0",Z:"break-word",r:"inline",C:"#A0A0A0",D:"#A0A0A0",t:13,aA:{a:[{p:4,h:"9"}]},F:"center",G:"#000000",aP:"pointer",w:"continue timeline reverse",x:"visible",I:"Solid",a:351,y:"preserve",J:"Solid"},"10":{I:"None",x:"visible",a:26,J:"None",K:"None",j:"absolute",b:16,c:558,k:"div",z:3,d:312,L:"None",V:"1",W:"animation.html"}}}];
 
	var persistentSymbolDescendants = {};
	
	var loadingScreenFunction = null;

	var javascripts = Array() /* for minifier */, javascripts = [{name:"untitledFunction",source:"function(hypeDocument, element, event) {\t\n\t// name of custom behavior to trigger\n\tvar customBehaviorName = \"continueTimeline\";\n\t\n\t// convert to a specific format that will be parsed by the child\n\tvar data = JSON.stringify({ type: \"trigger\", customBehaviorName: customBehaviorName });\n\t\t\n\t// find the acutal iframe element\n\tvar iframes = document.getElementsByTagName(\"iframe\");\n\tfor(var i = 0; i < iframes.length; i++) {\n\t\t// communicate to the child\n\t\tiframes[i].contentWindow.postMessage(data, \"*\");\n\t}\n\t\n}",identifier:"8"},{name:"untitledFunction2",source:"function(hypeDocument, element, event) {\t\n\t\t// name of custom behavior to trigger\n\tvar customBehaviorName = \"continueTimelineReverse\";\n\t\n\t// convert to a specific format that will be parsed by the child\n\tvar data = JSON.stringify({ type: \"trigger\", customBehaviorName: customBehaviorName });\n\t\t\n\t// find the acutal iframe element\n\tvar iframes = document.getElementsByTagName(\"iframe\");\n\tfor(var i = 0; i < iframes.length; i++) {\n\t\t// communicate to the child\n\t\tconsole.log(\"sending \" + data);\n\t\tiframes[i].contentWindow.postMessage(data, \"*\");\n\t}\n}",identifier:"9"}];

	var functions = {};
	var javascriptMapping = {};
	for(var i = 0; i < javascripts.length; i++) {
		try {
			javascriptMapping[javascripts[i].identifier] = javascripts[i].name;
			functions[javascripts[i].name] = eval("(function(){return " + javascripts[i].source + "})();");
		} catch (e) {
			if(window.console) {
				window.console.log(e);
			}
			functions[javascripts[i].name] = (function () {});
		}
	}
 
 	var timingFunctions = {};

	var hypeDoc = new HYPE_577(	documentName,
										mainContainerID,
										resources,
										resourcesFolderName,
										headAdditions,
										functions,
									    sceneContainers,
										scenes,
									    persistentSymbolDescendants,
										javascriptMapping,
									    timingFunctions,
										loadingScreenFunction,
										hasPhysics,
										true,
										-1,
										true,
										true,
										false,
										true);

	globalHypeDocuments[documentName] = hypeDoc['API'];
	document.getElementById(mainContainerID).setAttribute("HYP_dn", documentName);

	hypeDoc['z_o'](this.body);
}());

