(function HYPE_DocumentLoader() {
	var resourcesFolderName = "animation.hyperesources";
	var documentName = "animation";
	var documentLoaderFilename = "animation_hype_generated_script.js";
	var mainContainerID = "animation_hype_container";
	var hasPhysics = false;

	// find the URL for this script's absolute path and set as the resourceFolderName
	if(false == false) {
		try {
			var scripts = document.getElementsByTagName('script');
			for(var i = 0; i < scripts.length; i++) {
				var scriptSrc = scripts[i].src;
				var documentLoaderFilenameIndex = (scriptSrc != null) ? scriptSrc.indexOf(documentLoaderFilename) : -1;
				if(documentLoaderFilenameIndex != -1) {
					resourcesFolderName = scriptSrc.substr(0, documentLoaderFilenameIndex - 1);
					break;
				}
			}
		} catch(err) {	}
	}

	var loadScriptIfNecessary = function(windowObjectVariableName, documentsToLoadKey, scriptName) {
		var waitForResourcesToLoad = false;
		if (window[windowObjectVariableName] == null) {
			if (window[documentsToLoadKey] == null) {
				window[documentsToLoadKey] = Array();
				window[documentsToLoadKey].push(HYPE_DocumentLoader);

				var headElement = document.getElementsByTagName('head')[0];
				var scriptElement = document.createElement('script');
				var scriptContainingPath = resourcesFolderName;
				if(false == true) {
					scriptContainingPath = "";
				}
				scriptElement.type = 'text/javascript';
				scriptElement.src = (scriptContainingPath + '/' + scriptName);
				headElement.appendChild(scriptElement);
			} else {
				window[documentsToLoadKey].push(HYPE_DocumentLoader);
			}
			waitForResourcesToLoad = true;
		}
		return waitForResourcesToLoad;
	}

	if(false == false) {
		var browserMatches = navigator.userAgent.match(/MSIE (\d+\.\d+)/);
		var ieVersion = (parseFloat(browserMatches && browserMatches[1]) || null);
		var useExtendedRuntime = ((ieVersion != null && ieVersion < 10) || hasPhysics == true);

		var waitForResourcesToLoad = loadScriptIfNecessary('HYPE_577', 'HYPE_dtl_577', (useExtendedRuntime == true ? "HYPE-577.full.js" : "HYPE-577.thin.js"));
		if (false == true) {
			waitForResourcesToLoad = waitForResourcesToLoad || loadScriptIfNecessary('HYPE_w_577', 'HYPE_wdtl_577', 'HYPE-577.waypoints.js');
		}

		if (waitForResourcesToLoad) {
			return;
		}
	}
	
	var globalHypeDocuments = window['HYPE']['documents'];
	
	// handle attempting to load multiple times
	if(globalHypeDocuments[documentName] != null) {
		var index = 1;
		var originalDocumentName = documentName;
		do {
			documentName = "" + originalDocumentName + "-" + (index++);
		} while(globalHypeDocuments[documentName] != null);
		
		var allDivs = document.getElementsByTagName("div");
		var foundEligibleContainer = false;
		for(var i = 0; i < allDivs.length; i++) {
			if(allDivs[i].id == mainContainerID && allDivs[i].getAttribute("HYP_dn") == null) {
				var index = 1;
				var originalMainContainerID = mainContainerID;
				do {
					mainContainerID = "" + originalMainContainerID + "-" + (index++);
				} while(document.getElementById(mainContainerID) != null);
				
				allDivs[i].id = mainContainerID;
				foundEligibleContainer = true;
				break;
			}
		}
		
		if(foundEligibleContainer == false) {
			return;
		}
	}

	var resources = {"-1":{n:"PIE.htc"},"-2":{n:"blank.gif"}};

	var headAdditions = [];

	var sceneContainers = [{n:"Untitled Scene",o:"1",X:[0]}]
 
	var scenes = [{o:"3",p:"600px",cA:false,Y:600,Z:400,L:[{a:[{b:"8",p:8,z:false,symbolOid:"2",J:false}],B:"continueTimeline"},{a:[{b:"8",p:8,z:true,symbolOid:"2",J:false}],B:"continueTimelineReverse"}],c:"#FFFFFF",bY:1,d:600,U:{},T:{"8":{i:"8",n:"action",z:2,b:[],a:[{f:"c",y:0,z:1,i:"b",e:218,s:75,o:"15"},{f:"c",y:0.15,z:1,i:"b",e:218,s:75,o:"17"},{f:"c",y:1,z:1,i:"b",e:218,s:75,o:"16"},{y:1,i:"b",s:218,z:0,o:"15",f:"c"},{y:1.15,i:"b",s:218,z:0,o:"17",f:"c"},{y:2,i:"b",s:218,z:0,o:"16",f:"c"}],f:30},kTimelineDefaultIdentifier:{i:"kTimelineDefaultIdentifier",n:"Main Timeline",z:0,b:[],a:[],f:30}},bZ:180,O:["15","17","16"],n:"Untitled Layout","_":0,v:{"15":{c:38,d:38,I:"None",J:"None",K:"None",g:"#0433FF",L:"None",M:0,N:0,aI:"50%",A:"#D8DDE4",x:"visible",j:"absolute",O:0,aJ:"50%",k:"div",C:"#D8DDE4",z:1,B:"#D8DDE4",D:"#D8DDE4",aK:"50%",P:0,a:227,aL:"50%",b:75},"17":{c:38,d:38,I:"None",J:"None",K:"None",g:"#00F900",L:"None",M:0,N:0,aI:"50%",A:"#D8DDE4",x:"visible",j:"absolute",O:0,aJ:"50%",k:"div",C:"#D8DDE4",z:2,B:"#D8DDE4",D:"#D8DDE4",aK:"50%",P:0,a:281,aL:"50%",b:75},"16":{c:38,d:38,I:"None",J:"None",K:"None",g:"#942192",L:"None",M:0,N:0,aI:"50%",A:"#D8DDE4",x:"visible",j:"absolute",O:0,aJ:"50%",k:"div",C:"#D8DDE4",z:3,B:"#D8DDE4",D:"#D8DDE4",aK:"50%",P:0,a:335,aL:"50%",b:75}}}];
 
	var persistentSymbolDescendants = {};
	
	var loadingScreenFunction = null;

	var javascripts = Array() /* for minifier */, javascripts = [];

	var functions = {};
	var javascriptMapping = {};
	for(var i = 0; i < javascripts.length; i++) {
		try {
			javascriptMapping[javascripts[i].identifier] = javascripts[i].name;
			functions[javascripts[i].name] = eval("(function(){return " + javascripts[i].source + "})();");
		} catch (e) {
			if(window.console) {
				window.console.log(e);
			}
			functions[javascripts[i].name] = (function () {});
		}
	}
 
 	var timingFunctions = {};

	var hypeDoc = new HYPE_577(	documentName,
										mainContainerID,
										resources,
										resourcesFolderName,
										headAdditions,
										functions,
									    sceneContainers,
										scenes,
									    persistentSymbolDescendants,
										javascriptMapping,
									    timingFunctions,
										loadingScreenFunction,
										hasPhysics,
										true,
										-1,
										true,
										true,
										false,
										true);

	globalHypeDocuments[documentName] = hypeDoc['API'];
	document.getElementById(mainContainerID).setAttribute("HYP_dn", documentName);

	hypeDoc['z_o'](this.body);
}());

